Bug 2125 - Не происходит выгрузка модуля звука на i845G
: Не происходит выгрузка модуля звука на i845G
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/alsa24-up)
: unstable
: all Linux
: P3 critical
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2003-01-31 18:43 by
Modified: 2003-09-26 20:22 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-01-31 18:43:45
[<a href="mailto:ujo@ujo" target="_new">ujo@ujo</a> ujo]$ service sound stop
Saving mixer settings: [  OK  ]
/etc/init.d/sound: line 141:  9573 Segmentation fault      /sbin/rmmod
`echo $line |cut -d\\  -f 1`
snd-pcm: Device or resource busy
snd-timer: Device or resource busy
snd-ac97-codec: Device or resource busy
snd-mpu401-uart: Device or resource busy
snd-rawmidi: Device or resource busy
snd-seq-device: Device or resource busy
snd: Device or resource busy
---

---
[<a href="mailto:ujo@ujo" target="_new">ujo@ujo</a> ujo]$ grep snd /etc/modules.conf |grep -v ^#
above snd-intel8x0 snd-pcm-oss
above snd-pcm-oss snd-mixer-oss
alias sound-slot-0 snd-intel8x0

alsa24-up-2.4.20_0.9.0rc6-alt0.8


После этого подгрузка звука обратно становится невозможной
------- Comment #1 From 2003-02-02 23:38:52 -------
По-моему, неразумно полагать, что initscripts отвечают за невыгружающийся
модуль.
------- Comment #2 From 2003-02-02 23:38:52 -------
По-моему, неразумно полагать, что initscripts отвечают за невыгружающийся
модуль.
------- Comment #3 From 2003-02-03 18:15:14 -------
Alsa-driver 0.9.0rc7 данной проблемы не имеет
------- Comment #4 From 2003-02-03 18:15:14 -------
Alsa-driver 0.9.0rc7 данной проблемы не имеет
------- Comment #5 From 2003-02-17 20:16:13 -------
Проверьте пожалуйста на новой версии alsa и ядро (В Sisyphus)
------- Comment #6 From 2003-02-17 20:16:13 -------
Проверьте пожалуйста на новой версии alsa и ядро (В Sisyphus)
------- Comment #7 From 2003-04-20 02:03:22 -------
No responce from reporter.
------- Comment #8 From 2003-04-20 02:03:22 -------
No responce from reporter.
------- Comment #9 From 2003-09-26 20:20:39 -------
Fixed, just checked with 2.4.22-alt4 / kernel-modules-alsa-std-up-0.9.6-alt9.4
------- Comment #10 From 2003-09-26 20:22:58 -------
Fixed, just checked with 2.4.22-alt4 / kernel-modules-alsa-std-up-0.9.6-alt9.4